<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SlpBlockquote',
  props: {
    data: {
      type: Object,
      default: null,
      required: false,
    },
  },
});
</script>

<template>
  <SlpRow
    class="slp-flex slp-flex-column slp-align-items-center"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpColumn :cols="data.column_size || 12">
      <div class="container">
        <blockquote class="container__block">
          <div
            v-if="data.text"
            class="container__block-text"
            v-html="$md.render(data.text)"
          ></div>
        </blockquote>
      </div>
    </SlpColumn>
  </SlpRow>
</template>

<style lang="scss" scoped>
.container {
  position: relative;
  z-index: 5;
  margin-bottom: $spacing-48;

  &::after {
    content: '';
    position: absolute;
    background: #f2f2f2;
    border-radius: 4px;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: $spacing-24;
    right: -24px;
  }

  @media (max-width: $breakpoint-md) {
    &::after {
      right: -8px;
      top: $spacing-8;
    }
  }

  &__block {
    background: $color-surface-50;
    border: 1px solid #f2f2f2;
    border-radius: 4px;
    padding: $spacing-24;
  }

  &__block-text {
    font-size: 23px;
    line-height: 38px;
  }
}
</style>
